@import 'assets/variables.scss';

.root {
  position: relative;
  display: block;
  width: 100%;
  max-width: fit-content;
  border-radius: $cell * 2;
  background-color: rgba(255, 255, 255, 0.6);
  padding: $cell * 4;
  margin: $cell * 2;
}

.badge {
  position: absolute;
  top: -$cell * 2;
  right: -$cell * 2;
  height: $cell * 5;
  width: $cell * 5;
  text-align: center;
  line-height: 1.3em;
  font-weight: bold;
  font-size: 1.3em;
  color: white;
  padding: 2px;
  border-radius: 50%;
  border: 1px solid black;
  background-color: $primary;
}

.cardTop {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: $cell * 2;

  .title {
    margin-right: $cell * 10;
    margin-bottom: 0;
  }
  .cardMenu {
    display: flex;
    align-items: center;
    opacity: 0;
    transition: opacity ease 0.3s;
    margin-right: -$cell * 2;

    .editIcon {
      color: $mid-grey;
      box-shadow: 0 0 0 .1em transparent inset !important;
      background-color: transparent;

      transition: background-color ease 0.3s;

      &:hover {
        background-color: $super-soft-grey;
      }
      cursor: pointer;
    }
  }
}

.root {
  &:hover {
    .cardMenu {
      opacity: 1;
    }
  }
}

.items {
  width: fit-content;
  .itemWrap {
    display: flex;
    width: fit-content;
    margin-bottom: $cell * 1.5;
    color: $mid-grey;
    .itemIcon {
      margin-right: $cell;
    }
    .itemContent {
      font-size: 1.1em;
    }
    .itemContentPlaceholder {
      width: 35px;
      height: 18px;
    }
    .line {

    }
  }
}
